> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fermion.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Request password enabled website access 

> Returns a signed token that can be used to access the website. This will only work if you have set a website password in Settings > Security

Rate limit: Maximum 5 requests in a window of 1m.



## OpenAPI

````yaml https://backend.codedamn.com/webhook/fermion-backend-openapi.yaml post /public/request-password-enabled-website-access
openapi: 3.0.0
info:
  version: 1.0.0
  title: Fermion Backend API
  description: Documentation for interacting with the Fermion API
  contact:
    name: Fermion Support
    email: support@codedamn.com
servers:
  - url: https://backend.codedamn.com/api
    description: Fermion primary backend server
security: []
externalDocs:
  description: Fermion Docs
  url: https://docs.fermion.app
paths:
  /public/request-password-enabled-website-access:
    post:
      tags:
        - Misc
      summary: 'Request password enabled website access '
      description: >-
        Returns a signed token that can be used to access the website. This will
        only work if you have set a website password in Settings > Security


        Rate limit: Maximum 5 requests in a window of 1m.
      requestBody:
        description: API Request Body
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  type: array
                  items:
                    type: object
                    properties:
                      data:
                        type: object
                        properties:
                          fermionSchoolId:
                            type: string
                          password:
                            type: string
                            maxLength: 1000
                            description: Password to access the password-enabled website
                        required:
                          - fermionSchoolId
                          - password
                    required:
                      - data
              required:
                - data
      responses:
        '200':
          description: API Response Body
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    output:
                      anyOf:
                        - type: object
                          properties:
                            status:
                              type: string
                              enum:
                                - ok
                            data:
                              type: object
                              properties:
                                signedFermionSchoolIdToken:
                                  type: string
                                  description: >-
                                    Signed JWT token containing the
                                    fermionSchoolId. This token expires in 1 day
                                    and can be used to access the website.
                              required:
                                - signedFermionSchoolIdToken
                          required:
                            - status
                            - data
                        - type: object
                          properties:
                            status:
                              type: string
                              enum:
                                - error
                            errorMessage:
                              type: string
                          required:
                            - status
                            - errorMessage
                  required:
                    - output

````